Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.uuid
Class FastUUIDGen

    java.lang.Object
      org.apache.axis.components.uuid.FastUUIDGen

All Implemented Interfaces:
  UUIDGen

public class FastUUIDGen
extends java.lang.Object
implements UUIDGen

Creates time-based UUID's. See the UUID Internet Draft for details.

Author:
  Jarek Gawor (gawor@apache.org)

Constructor Summary
`FastUUIDGen()`

Method Summary
`java.lang.String` | `nextUUID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastUUIDGen

    public FastUUIDGen()

Method Detail

### nextUUID

    public java.lang.String nextUUID()

  Specified by:
    `nextUUID` in interface `UUIDGen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.